#!/usr/bin/env python3
"""
The main Flask application for serving up aggregated RSS feed entries.
"""
from flask import Flask, render_template

import config
import database

app = Flask(__name__)

@app.route("/")
def index():
	"""
	The index page.
	"""
	feeds = []
	for feed_url in config.FEEDS:
		feeds.append(database.get_feed(feed_url))
	return render_template("index.html", **locals())
